from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import Boolean, Int, File, String

Rbt_Vcf_Report_V0_1_0 = CommandToolBuilder(tool="rbt_vcf_report", base_command=["rbt", "vcf-report"], inputs=[ToolInput(tag="in_bams", input_type=Boolean(optional=True), prefix="--bams", doc=InputDocumentation(doc="<GROUP:SAMPLE=BAM_FILE>...\nVCF files to include (multi-sample). Group is the name that will be used in the oncoprint. There needs to be\none corresponding BAM file for each sample of a VCF/BCF file. Please only use VCF/BCF files annotated by VEP")), ToolInput(tag="in_cells", input_type=Int(optional=True), prefix="--cells", doc=InputDocumentation(doc="Set the maximum number of cells in the oncoprint per page. Lowering max-cells should improve the performance\nof the plots in the browser. Default value is 1000 [default: 1000]")), ToolInput(tag="in_custom_js_files", input_type=File(optional=True), prefix="--custom-js-files", doc=InputDocumentation(doc="...\nAdd one or multiple js file (e.g. libraries) for usage in the custom-js-file. The ordering of the arguments\nwill be the same as they will be imported")), ToolInput(tag="in_custom_js_template", input_type=File(optional=True), prefix="--custom-js-template", doc=InputDocumentation(doc="Change the default javascript file for the table-report to a custom one to add own plots or tables to the\nsidebar by appending these to an empty div in the HTML template")), ToolInput(tag="in_formats", input_type=String(optional=True), prefix="--formats", doc=InputDocumentation(doc="...\nAdd custom values from the format field to each variant as a data attribute to access them via the custom\njavascript. All given format values will also be inserted into the main table")), ToolInput(tag="in_infos", input_type=String(optional=True), prefix="--infos", doc=InputDocumentation(doc="...\nAdd custom values from the info field to each variant as a data attribute to access them via the custom\njavascript. Multiple fields starting with the same prefix can be added by placing '*' at the end of a prefix")), ToolInput(tag="in_max_read_depth", input_type=Int(optional=True), prefix="--max-read-depth", doc=InputDocumentation(doc="Set the maximum number of cells in the oncoprint per page. Lowering max-cells should improve the performance\nof the plots in the browser. Default value is 1000 [default: 500]")), ToolInput(tag="in_plot_info", input_type=String(optional=True), prefix="--plot-info", doc=InputDocumentation(doc="...\nAdd multiple keys from the info field of your vcf to the plots of the first and second stage of the report")), ToolInput(tag="in_threads", input_type=Int(optional=True), prefix="--threads", doc=InputDocumentation(doc="Sets the number of threads used to build the table reports [default: 0]")), ToolInput(tag="in_tsv", input_type=File(optional=True), prefix="--tsv", doc=InputDocumentation(doc="Add a TSV file that contains one or multiple custom values for each sample for the oncoprint. First column\nhas to be the sample name, followed by one or more columns with custom values. Make sure you include one row\nfor each given sample")), ToolInput(tag="in_v_cfs", input_type=Boolean(optional=True), prefix="--vcfs", doc=InputDocumentation(doc="<GROUP=VCF_FILE>...\nVCF files to include (multi-sample). Group is the name that will be used in the oncoprint. There needs to be\none corresponding BAM file for each sample of a VCF/BCF file. Please only use VCF/BCF files annotated by VEP")), ToolInput(tag="in_fast_a", input_type=String(), position=0, doc=InputDocumentation(doc=""))], outputs=[], container="quay.io/biocontainers/rust-bio-tools:0.20.2--heda7bfa_0", version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Rbt_Vcf_Report_V0_1_0().translate("wdl")

